package com.woolha.jpamulticolumnselect.model.projection;

import java.math.BigDecimal;
import java.time.ZonedDateTime;
import java.util.UUID;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class OrderDto {

  private UUID id;

  private String orderNumber;

  private BigDecimal totalPrice;

  private ZonedDateTime createdAt;

  public OrderDto(
      UUID id,
      String orderNumber,
      BigDecimal totalPrice,
      ZonedDateTime createdAt
  ) {
    this.id = id;
    this.orderNumber = orderNumber;
    this.totalPrice = totalPrice;
    this.createdAt = createdAt;
  }
}
