
package com.woolha.jpamulticolumnselect.model.projection;

import java.math.BigDecimal;
import java.time.ZonedDateTime;
import java.util.List;
import java.util.UUID;

public interface OrderWithLinesView {

  UUID getId();

  String getOrderNumber();

  BigDecimal getTotalPrice();

  ZonedDateTime getCreatedAt();

  List<OrderLineView> getOrderLines();

  interface OrderLineView {

    UUID getId();

    int getQuantity();

    String getProductName();

    BigDecimal getPrice();
  }
}
